SocialPortalBridge (Social Portal ASL Extension 0.10.1-3.2.0 API)
Date: 2014-06-19

org.gcube.applicationsupportlayer.social

## Class SocialPortalBridge

- java.lang.Object
- - org.gcube.applicationsupportlayer.social.SocialPortalBridge

- Direct Known Subclasses:
    ApplicationNewsManager, ApplicationNotificationsManager

      public class SocialPortalBridge
      extends Object

  Author:
    Massimiliano Assante, ISTI-CNR superclass for notifications, posting news and so on

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.gcube.portal.databook.shared.ApplicationProfile` | `applicationProfile`
    `protected org.gcube.application.framework.core.session.ASLSession` | `aslSession`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SocialPortalBridge(org.gcube.application.framework.core.session.ASLSession session)`
    `SocialPortalBridge(org.gcube.application.framework.core.session.ASLSession session, String portletClassName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `escapeHtml(String html)` Escape an html string.
    `org.gcube.portal.databook.shared.ApplicationProfile` | `getApplicationProfile()`
    `protected String` | `getScopeByOrganizationId(String vreid)`
    `static org.gcube.portal.databook.server.DatabookStore` | `getStoreInstance()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### aslSession

          protected org.gcube.application.framework.core.session.ASLSession aslSession

    - #### applicationProfile

          protected org.gcube.portal.databook.shared.ApplicationProfile applicationProfile

  - ### Constructor Detail

    - #### SocialPortalBridge

          public SocialPortalBridge(org.gcube.application.framework.core.session.ASLSession session,
                            String portletClassName)

      Parameters:
        `session` -

    - #### SocialPortalBridge

          public SocialPortalBridge(org.gcube.application.framework.core.session.ASLSession session)

      Parameters:
        `session` -

  - ### Method Detail

    - #### getStoreInstance

          public static org.gcube.portal.databook.server.DatabookStore getStoreInstance()

      Returns:
        the unique instance of the store

    - #### getScopeByOrganizationId

          protected String getScopeByOrganizationId(String vreid)

    - #### escapeHtml

          protected String escapeHtml(String html)

      Escape an html string. Escaping data received from the client helps to prevent cross-site script vulnerabilities.
      Parameters:
        `html` - the html string to escape
      Returns:
        the escaped string

    - #### getApplicationProfile

          public org.gcube.portal.databook.shared.ApplicationProfile getApplicationProfile()

      Returns:
        the applicationProfile profile among the ones available in the infrastructure

Copyright © 2014. All Rights Reserved.